Skip to main content
POST
https://punchplay.tv
/
api
/
platform
/
v1
/
playback
/
{action}
Send a playback lifecycle event
curl --request POST \
  --url https://punchplay.tv/api/platform/v1/playback/{action} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "event_id": "<string>",
  "year": 123,
  "imdb_id": "<string>",
  "tmdb_id": 123,
  "tvdb_id": 123,
  "punchplay_id": "<string>",
  "season": 123,
  "episode": 123,
  "episode_end": 123,
  "absolute_episode": 123,
  "episode_title": "<string>",
  "multi_episode": true,
  "anime": true,
  "progress": 123,
  "duration_seconds": 123,
  "position_seconds": 123,
  "device_id": "<string>",
  "playback_session_id": "<string>",
  "event_created_at": 123,
  "client_version": "<string>",
  "watched": true,
  "watched_threshold": 123,
  "raw_filename": "<string>",
  "jellyfin_user_id": "<string>"
}
'
{
  "ok": true,
  "tmdb_id": 123,
  "tvdb_id": 123,
  "imdb_id": "<string>",
  "punchplay_id": "<string>",
  "deduped": true,
  "ignored": "<string>",
  "season": 123,
  "episode": 123,
  "episode_end": 123,
  "absolute_episode": 123,
  "anime": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

action
enum<string>
required
Available options:
start,
pause,
resume,
stop,
progress

Body

application/json
media_type
enum<string>
required
Available options:
movie,
episode
title
string
required
event_id
string
year
integer
imdb_id
string
tmdb_id
integer
tvdb_id
integer
punchplay_id
string
season
integer
episode
integer
episode_end
integer
absolute_episode
integer
episode_title
string
multi_episode
boolean
anime
boolean
progress
number
duration_seconds
integer
position_seconds
integer
device_id
string
playback_session_id
string
event_created_at
integer

Millisecond timestamp from the client

client_version
string
watched
boolean
watched_threshold
number
raw_filename
string
jellyfin_user_id
string

Response

Playback event accepted.

ok
boolean
required
media_type
enum<string>
required
Available options:
movie,
episode
tmdb_id
integer | null
required
tvdb_id
integer | null
required
imdb_id
string | null
required
punchplay_id
string | null
required
deduped
boolean
ignored
string
season
integer
episode
integer
episode_end
integer
absolute_episode
integer
anime
boolean